Package com.sas.services.information.metadata.prompt

# Interface OMRPromptGroupInterface

All Superinterfaces:
  `BaseOMRPromptInterface`, `MetadataInterface`, `PublicObjectInterface`, `Remote`

All Known Implementing Classes:
  `OMRPromptGroup`

public interface OMRPromptGroupInterface extends BaseOMRPromptInterface
Interface for a smart object that represents a `com.sas.prompts.groups.PromptGroupInterface`. The smart object stores and retrieves the information for an instance of PromptGroupInterface as XML held in the groupInfo. The smart object can return an instance of PromptGroupInterface from that groupInfo.

Since:
  9.2

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGroupInfo()`
  Returns the XML string of group info.
  `int`
  `getGroupType()`
  Deprecated.
  from v920m3 on.
  `com.sas.prompts.groups.PromptGroupInterface`
  `getPromptGroup()`
  Returns the `com.sas.prompts.groups.PromptGroupInterface` object created by the XML returned from `getGroupInfo()`.
  `com.sas.prompts.groups.PromptGroupInterface`
  `getPromptGroup(com.sas.util.xmlpersist.PromptsReadingContext readingContext)`
  Returns the `com.sas.prompts.groups.PromptGroupInterface` object created by the XML returned from `getGroupInfo()`.
  `void`
  `setGroupInfo(String groupInfo)`
  Set a string of XML that represents an instance of a PromptGroupInterface.
  `void`
  `setGroupType(int type)`
  Deprecated.
  from v920m3 on.

  ### Methods inherited from interface com.sas.services.information.metadata.prompt.BaseOMRPromptInterface

  `addPromptReference, addReferencedPrompt, addValueSource, getPromptEnabledObject, getPromptReferences, getReferencedPrompts, getValueSources, isPublic, removeAllPromptReferences, removeAllReferencedPrompts, removeAllValueSources, removePromptEnabledObject, removePromptReference, removeReferencedPrompt, setPromptEnabledObject`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getGroupInfo

    String getGroupInfo() throws RemoteException, ServiceException
    Returns the XML string of group info. The XML can be parsed into a PromptGroupInterface instance.
    Returns:
      String
    Throws:
      `RemoteException`
      `ServiceException`

  - ### setGroupInfo

    void setGroupInfo(String groupInfo) throws RemoteException, ServiceException
    Set a string of XML that represents an instance of a PromptGroupInterface.
    Parameters:
      `groupInfo` - String
    Throws:
      `RemoteException`
      `ServiceException`

  - ### setGroupType

    void setGroupType(int type) throws RemoteException, ServiceException
    Deprecated.
    from v920m3 on. Do not use this anymore.
    Sets a value corresponding to the type of PromptGroupInterface. The valid values can be obtained from `com.sas.prompts.groups.PromptGroupEnum.getOrdinal()`.
    Parameters:
      `type` - int
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getGroupType

    int getGroupType() throws RemoteException, ServiceException
    Deprecated.
    from v920m3 on. Do not use this anymore.
    Returns a value corresponding to the type of PromptGroupInterface.
    Returns:
      int
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getPromptGroup

    com.sas.prompts.groups.PromptGroupInterface getPromptGroup() throws RemoteException, ServiceException
    Returns the `com.sas.prompts.groups.PromptGroupInterface` object created by the XML returned from `getGroupInfo()`. Null will be returned if there is no XML available or it does not result in a valid instance of PromptGroupInterface. *

    If any missing resources are detected, an unmodifiable copy of `com.sas.util.xmlpersist.PromptsReadingContext.getMissingResources()` will be available from `sessionContext.getAttribute(com.sas.util.xmlpersist.PersistConstants.MISSING_RESOURCES)`. This is contingent upon the available userContext containing a session context.

    Returns:
      the prompt group
    Throws:
      `RemoteException`
      `ServiceException` - if exceptions occur parsing xml and creating objects

  - ### getPromptGroup

    com.sas.prompts.groups.PromptGroupInterface getPromptGroup(com.sas.util.xmlpersist.PromptsReadingContext readingContext) throws RemoteException, ServiceException
    Returns the `com.sas.prompts.groups.PromptGroupInterface` object created by the XML returned from `getGroupInfo()`. Null will be returned if there is no XML available or it does not result in a valid instance of PromptGroupInterface. The reading context will be used, if supplied. Otherwise a "placeholder" PromptsReadingContext will be created and passed to the XML parsing routine. A reading context may be obtained via methods on `com.sas.services.information.metadata.prompts.PersistenceFactoryWithServices`/
    Parameters:
      `readingContext` -
    Returns:
      the prompt group
    Throws:
      `RemoteException`
      `ServiceException` - if exceptions occur parsing xml and creating objects